#include <iostream>
#include <math.h>
int main() {
	int n,x=-pow(10,9),y=-pow(10,9);
	bool tacno = true;
	int count = 0;
	
scanf("%d", & n);
		while (x + pow(10, 9) < n) {
			count++;
			if (count > 2) {
				count = 0;
				x++;
			}
			printf("%d %d \n",x, y);
			y++;
		}

}